---
schema_version: "1"
id: 2559786a533890e20fdc2513e344af369fd75c986815c6415421f46969e75291
title: Content - Form (Connect API)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/mc-core/references/generated-api-specs/mc-next-form-content.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud-growth/references/mc-next-form-content
source_site: developer.salesforce.com
content_type: documentation
content_hash: 07072256fdb6f0d9e21b31f1410c5ad6f5f4dbe9b4e7c2c4a7a29a9ccfe21b90
products:
  - Marketing Cloud Next
  - Marketing Cloud
---
Content - Form (Connect API)

# Content - Form (Connect API)

Create and retrieve form and form handler content in a Marketing Cloud Next content workspace by using Connect API.

| Supported Use Case | HTTP Verb | URI |
| --- | --- | --- |
| Create form content | [POST](/docs/marketing/marketing-cloud-growth/references/mc-next-form-content?meta=createForm) | /services/data/{apiVersion}/connect/cms/contents |
| Retrieve form content | [GET](/docs/marketing/marketing-cloud-growth/references/mc-next-form-content?meta=getForm) | /services/data/{apiVersion}/connect/cms/contents/{contentId} |

**Version:** v68.0

## Servers

*   `https://{subdomain}.my.salesforce.com`
    *   `subdomain (default (no default)) The unique API subdomain for your Salesforce org.`

## Operations

### POST Create a form or a form handler.

`POST /services/data/{apiVersion}/connect/cms/contents`

Operation ID: `createForm`.

#### Parameters

*   `Authorization` (header, string, required) A unique
    
    _Example_
    
    ```
    Bearer YOUR_ACCESS_TOKEN
    ```
    
*   `apiVersion` (path, string, required) The Salesforce API version

#### Request body (required)

Media type: `application/json`. Schema: `FormRequest`.

#### Responses

*   **201** The form or form handler content was created or retrieved.
    
    Media type: `application/json`. Schema: `FormResponse`.
    
*   **400** The request is invalid.
    
    Media type: `application/json`. Schema: `Error`.
    
*   **401** The access token is missing
    
    Media type: `application/json`. Schema: `Error`.
    
*   **403** You don't have permission to perform this action.
    
    Media type: `application/json`. Schema: `Error`.
    

### GET Retrieve a form or form handler.

`GET /services/data/{apiVersion}/connect/cms/contents/{contentId}`

Operation ID: `getForm`.

#### Parameters

*   `Authorization` (header, string, required) A unique
    
    _Example_
    
    ```
    Bearer YOUR_ACCESS_TOKEN
    ```
    
*   `apiVersion` (path, string, required) The Salesforce API version
*   `contentId` (path, string, required) The ID of the form or form handler content item.

#### Responses

*   **200** The form or form handler content was created or retrieved.
    
    Media type: `application/json`. Schema: `FormResponse`.
    
*   **401** The access token is missing
    
    Media type: `application/json`. Schema: `Error`.
    
*   **404** The requested form or form handler content wasn't found.
    
    Media type: `application/json`. Schema: `Error`.
    

## Schemas

### FormRequest

*   `contentSpaceOrFolderId` (_string_, required) The ID of the content workspace or folder that contains the form.
*   `contentType` (_string_, required) The form or form handler content type.  
    Allowed values: `sfdc_cms__form`, `sfdc_cms__formHandler`.
*   `contentBody` (_FormBody_, required)

_Example_

```
{
  "contentSpaceOrFolderId": "0Zuxx00000003M5CAI",
  "contentType": "sfdc_cms__form",
  "contentBody": {
    "sfdc_cms:title": "Contact Us Form",
    "description": "Contact form for customer inquiries",
    "sfdc_cms:block": {
      "type": "block",
      "definition": "sfdc_cms/rootContentBlock",
      "children": [
        {
          "type": "block",
          "definition": "lightning/inputEmail",
          "attributes": {
            "sfdc_cms:formInputLabelProperty": "Email Address",
            "sfdc_cms:formInputNameProperty": "email",
            "placeholder": "you@example.com"
          }
        }
      ]
    },
    "lightning:dataProviders": [
      {
        "sfdcExpressionKey": "$form",
        "definition": "sfdc_cms__formDataProvider",
        "attributes": {
          "id": "form_001",
          "version": "1"
        }
      }
    ]
  }
}
```

### FormResponse

*   `managedContentId` (_string_) The managed content ID.
*   `managedContentVariantId` (_string_) The managed content variant ID.
*   `contentKey` (_string_) The content key.
*   `contentBody` (_FormBody_)

_Example_

```
{
  "managedContentId": "20YSB000004SkOz2AK",
  "managedContentVariantId": "9PsSB0000045XAj0AM",
  "contentKey": "MCJUR5WKNRHZFP7NAUQOMMNJ7CI4",
  "contentBody": {
    "sfdc_cms:title": "Contact Us Form",
    "description": "Contact form for customer inquiries",
    "sfdc_cms:block": {
      "type": "block",
      "definition": "sfdc_cms/rootContentBlock",
      "children": [
        {
          "type": "block",
          "definition": "lightning/inputEmail",
          "attributes": {
            "sfdc_cms:formInputLabelProperty": "Email Address",
            "sfdc_cms:formInputNameProperty": "email",
            "placeholder": "you@example.com"
          }
        }
      ]
    }
  }
}
```

### Error

*   `errorCode` (_string_, required) The error code.
*   `message` (_string_, required) A description of the error.

### FormBody

*   `sfdc_cms:title` (_string_, required) The form or form handler title.
*   `description` (_string_) A description of the form or form handler.
*   `sfdc_cms:block` (_Block_, required)
*   `lightning:dataProviders` (_array of DataProvider_) The data provider configurations for the form.

### Block

*   `type` (_string_, required) The block type.  
    Allowed values: `block`.
*   `definition` (_string_, required) The block definition.
*   `attributes` (_object_) The block attributes
*   `children` (_array of Block_) The child blocks.

### DataProvider

*   `sfdcExpressionKey` (_string_, required) The expression key for the data provider.
*   `definition` (_string_, required) The data provider definition.
*   `attributes` (_object_) The data provider attributes